PHP Toolkit 13.1

Img80 php.gif

The PHP toolkit provides an easy way to make Force.com SOAP API method calls from within PHP.

What's New

As an existing user of the toolkit, you will be delighted to know that it’s been updated for the latest API. The latest toolkit supports the SOAP API v13.0.

It introduces or improves the following:

  • InvalidateSessions
  • Logout
  • Query (requires PHP 5.3 for API Relationships)
  • QueryMore (requires PHP 5.3 for API Relationships)

Patch

Download

  • PHP toolkit 13.1 - 09/18/2009
    Fixed problems with deprecated functions on PHP 5.3

(this is actually marked as version 11.0 and for PHP 5.1.2 in the code)

(this is also marked as version 11.0 and for PHP 5.1.2 in the code)

Requirements

  • PHP 5.2 (PHP 5.3 required for API relationships)
  • SOAP Enabled
  • SSL Enabled

Documentation

Samples

Review these samples to learn how to make core API and Metadata API calls using the toolkit.

Tips

Printing the response from Web services API call

Printing Raw XML

Dealing with SimpleXMLElements

Turning off WSDL cache

Sandbox WSDL


Known Issues

  • Broken SforceEnterpriseClient->upsert() implementation.
  • Enterprise Client - update() method. For $sobject->fieldsToNull parameter only a string value for a single field is allowed. No way to submit an array of fields to null within a single api call (as of 11/8/2010).

Older Versions

Icon toolkit sm.gif PHP Toolkit 11.0

Icon toolkit sm.gif PHP Tookit 1.1

Icon toolkit sm.gif PHP Toolkit 1.0.x